Results 1 to 8 of 8

Thread: Android-tools problem, can't flash

  1. #1

    Default Android-tools problem, can't flash

    Hello, I downloaded android-tools from official repo, for flashing, but it seems it's an old version, related to other distros(manjaro has 7.1, opensuse one is still 5.1). I own a nexus 6 and tried to flash the latest update. When I tried to Fastboot system.img, I got the following "(bootloader) Data size exceeds download buffer FAILED (remote failure)" , so I downloaded a Manjaro live img to have a working phone again. I googled the issue and found that I need to have a newer Fastboot. I installed android studio, but it didn't make a difference(I might have done something wrong)
    So, how can I update Fastboot or install a newer version of android-tools?

  2. #2
    Join Date
    Jun 2008
    Location
    San Diego, Ca, USA
    Posts
    11,397
    Blog Entries
    2

    Default Re: Android-tools problem, can't flash

    You can download the latest release from android.com. When you visit the following page, if the page doesn't automatically recognize your Linux, click "Other Downloads" and scroll down to the Linux zip archive.

    https://developer.android.com/studio...html#downloads

    And, if you'd like an RPM in the future, you might submit a "feature request" to https://bugzilla.opensuse.org.

    TSU
    Beginner Wiki Quickstart - https://en.opensuse.org/User:Tsu2/Quickstart_Wiki
    Solved a problem recently? Create a wiki page for future personal reference!
    Learn something new?
    Attended a computing event?
    Post and Share!

  3. #3

    Default Re: Android-tools problem, can't flash

    Quote Originally Posted by tsu2 View Post

    And, if you'd like an RPM in the future, you might submit a "feature request" to https://bugzilla.opensuse.org.

    TSU
    Thanks for the tip, I'll submit a request to update android-tools too, which is a 2 years old package
    Btw, the easiest solution for my phone(Motorola nexus 6), was to use mfastboot(Motorola tweaked fastboot). No installations needed

  4. #4

    Default Re: Android-tools problem, can't flash

    ok, I found 3 more solutions for updating to latest adb & fastboot:
    1) get an rpm android-tools package e.g. from fedora(which is 2017 build)
    2) get the latest package from any distro and use alien to make it work
    3)download the latest zip from google https://dl.google.com/android/reposi...test-linux.zip, extract wherever you want and replace your old adb & fastboot files, to make them work system wide(type whereis adb to find them).Type adb version to check if everything is working fine.
    I now have adb 1.0.39(latest) and I can flash latest factory images without a problem

  5. #5
    Join Date
    Dec 2016
    Location
    Burlington - Canada
    Posts
    16

    Default Re: Android-tools problem, can't flash

    Quote Originally Posted by tsu2 View Post

    And, if you'd like an RPM in the future, you might submit a "feature request" to https://bugzilla.opensuse.org.

    TSU
    I am on Leap 42.3 and would like to submit a feature request but there are no openSUSE Leap option in the menu. Does it matter?
    It's kind of hard to know how to go about on bugzilla page to submit such a request.

    Thank you in advance.

  6. #6
    Join Date
    Jun 2008
    Location
    Groningen, Netherlands
    Posts
    19,996
    Blog Entries
    14

    Default Re: Android-tools problem, can't flash

    Quote Originally Posted by simorgh View Post
    I am on Leap 42.3 and would like to submit a feature request but there are no openSUSE Leap option in the menu. Does it matter?
    It's kind of hard to know how to go about on bugzilla page to submit such a request.

    Thank you in advance.
    IMO it would be better/quicker to try and contact the maintainer of the package and ask her/him to update it to the latest version. Or ...... take a dive in OBS, use the currently available package as an example and create a new one based on the most recent ADB . You can use the credentials you use here.
    ° Appreciate my reply? Click the star and let me know why.

    ° Perfection is not gonna happen. No way.

    https://en.opensuse.org/openSUSE:Board#Members
    http://en.opensuse.org/User:Knurpht
    http://nl.opensuse.org/Gebruiker:Knurpht

  7. #7
    Join Date
    Nov 2013
    Location
    Kamloops, BC, Canada
    Posts
    3,974

    Default Re: Android-tools problem, can't flash

    ... and, it would also be better, when you have a problem, to start your own thread rather than hang your post onto the end of an almost-yr-old thread.
    -Gerry Makaro
    Fraser-Bell Info Tech
    Solving Tech Mysteries since the Olden Days!
    ~~
    If I helped you, consider clicking the Star at the bottom left of my post.

  8. #8

    Default Re: Android-tools problem, can't flash

    Quote Originally Posted by Fraser_Bell View Post
    ... and, it would also be better, when you have a problem, to start your own thread rather than hang your post onto the end of an almost-yr-old thread.
    If the problem is similar or exctly the same then I feel like it's still OK to use the old thread.
    It would be easier for other users to find the solution to the problem quickly instead of browsing multiple threads.
    Last edited by shibaa987; 03-Jun-2018 at 12:07. Reason: Added few more words to add clarity

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •